# encoding: UTF-8
=begin
TIG (c) 2016  

All rights reserved.    

Sets up Extension.
=end
#
require('sketchup.rb')
require('extensions.rb')
#
module TIG
	module CircleArcDefaulter
		if defined?(Encoding)
			ME = __FILE__.force_encoding("UTF-8") ### >= v2014
			OLD = false
		else
			ME = __FILE__
			OLD = true
		end
		FNAME = File.basename(ME, ".*")
		if RUBY_PLATFORM.downcase =~ /darwin/
			UI.messagebox("#{FNAME}:\n\nIs a WINDOWS only Extension.\nUnsuitable for MACs.\nUninstalling myself...")
			File.rename(ME, ME+'x')
		else ### WINDOWS
			PLUGINS = File.dirname(ME)
			FOLDER = File.join(PLUGINS, FNAME)
			VERSION = "1.0"
			NAME = "CircleArcDefaulter"
			CREATOR = "TIG"
			COPYRIGHT = "#{CREATOR} © #{Time.now.year}"
			DESC = "Reads ../TIG-CircleArcDefaulter/defaults.txt, to reset Circle's and Arc's default segment count."
			###
			EXT=SketchupExtension.new(NAME, File.join(FOLDER, "code"))
			EXT.name = NAME
			EXT.description = DESC
			EXT.version = VERSION
			EXT.creator = CREATOR
			EXT.copyright = COPYRIGHT
			ext = Sketchup.register_extension(EXT, true) # show on 1st install
		end
	end
end
###
